Bug 186909 - Review Request: libmpcdec: Musepack audio decoding library
Review Request: libmpcdec: Musepack audio decoding library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
http://www.musepack.net/
:
Depends On:
Blocks: FE-ACCEPT 186912
  Show dependency treegraph
 
Reported: 2006-03-27 07:52 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-01 13:03:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-03-27 07:52:06 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/libmpcdec.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/libmpcdec-1.2.2-1.src.rpm
Description:
Musepack is an audio compression format with a strong emphasis on high quality.
It's not lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much smaller
MPC file.
It is based on the MPEG-1 Layer-2 / MP2 algorithms, but has rapidly developed
and vastly improved and is now at an advanced stage in which it contains
heavily optimized and patentless code.
Comment 1 Matthias Saou 2006-03-29 06:31:59 EST
I know that the musepack page says "patentless code", but it does seem like
something quite hard to be 100% sure of, no? Do you have any more information
about that claim? I've browsed through the website, FAQ, links etc. and didn't
find anything.
Comment 2 Rex Dieter 2006-03-29 07:55:51 EST
No, I have no further information, but, IMO, it's pretty hard to *prove* it
doesn't contain patented code, especially if the dev's claim it.  I'm of the
opinion that their claim should be believed/respected, unless/until evidence
comes to light to the contrary.
Comment 3 Michael Schwendt 2006-04-01 10:13:06 EST
Licence is not LGPL, but BSD (aka "New BSD" or "Modified BSD"):
http://www.opensource.org/licenses/bsd-license.php

Else: APPROVED

I've contacted upstream to seek for clarification with regard to the use
of the term "patentless code". The not-so-short response confirmed my
initial assumptions. The current code means to be "free of patents" in a
similar way like Ogg Vorbis (rpm -qi libvorbis). That statement on the
web page is quite unfortunate, as it mixed past and present and thereby
raises doubts for anybody who is not intimately familiar with the code.
Comment 4 Rex Dieter 2006-04-01 11:10:43 EST
Thanks Michael for the clarification(s).

I'll import and change the license (not sure where I got LGPL from??)
Comment 5 Rex Dieter 2006-04-01 13:03:56 EST
Imported, build queued.

Note You need to log in before you can comment on or make changes to this bug.